orte/mca/gpr/replica/functional_layer/gpr_replica_messaging_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_messaging_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_messaging_fn.c \- The Open MPI General Purpose Registry - Replica component. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'mca/schema/schema.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/gpr/base/base.h'\fP
.br
\fC#include 'mca/gpr/replica/api_layer/gpr_replica_api.h'\fP
.br
\fC#include 'mca/gpr/replica/communications/gpr_replica_comm.h'\fP
.br
\fC#include 'gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static int \fBorte_gpr_replica_get_callback_data\fP (\fBorte_gpr_value_t\fP ***values, size_t *num_vals, orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "static int \fBorte_gpr_replica_store_value_in_trigger_msg\fP (orte_gpr_replica_subscription_t *sub, orte_gpr_notify_message_t *msg, size_t cnt, \fBorte_gpr_value_t\fP **values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_process_callbacks\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_callback\fP (orte_gpr_replica_subscription_t *sub, \fBorte_gpr_value_t\fP *value)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_trigger_callback\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_define_callback\fP (\fBorte_gpr_notify_msg_type_t\fP msg_type, orte_gpr_replica_callbacks_t **cbptr, orte_process_name_t *recipient)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_store_value_in_msg\fP (orte_gpr_replica_requestor_t *req, orte_gpr_notify_message_t *msg, size_t cnt, \fBorte_gpr_value_t\fP **values)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI General Purpose Registry - Replica component. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
